View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000978OpenFOAM[All Projects] Bugpublic2013-08-26 15:422016-02-02 19:04
Reporterdkxls 
Assigned Tohenry 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformLinux x86_64OSopenSUSEOS Version12.2
Product Version 
Target VersionFixed in Version 
Summary0000978: [thermo]: Add log(T) transport model (source code attached)
DescriptionThe transport properties (viscosity/conductivity) for reaction simulation are often supplied as coefficients to a polynomial functions of ln(T):
 ln(mu) = sum_i=1^N( a[i] * ln(T)^(i-1) )
 ln(kappa) = sum_i=1^N( b[i] * ln(T)^(i-1) )

The provided source code adds the functionality to use this polynomial expression, given the coefficients are provided in the thermophysicalProperties dictionary.
Tagscontribution, thermo, transport
Attached Files? file icon thermophysicalProperties [^] (6,686 bytes) 2013-08-26 15:43 [Show Content]
c file icon logPolynomialTransport.C [^] (3,570 bytes) 2013-08-26 15:43
? file icon logPolynomialTransport.H [^] (6,683 bytes) 2013-08-26 15:44
? file icon logPolynomialTransportI.H [^] (7,138 bytes) 2013-08-26 15:44

- Relationships

-  Notes
(0002442)
dkxls (reporter)
2013-08-26 16:02

Forgot to mention that the provided source code is a straight forward implementation based on the polynomialTransport class.

The code is tested with a modified reactingFoam solver.
(0005881)
henry (manager)
2016-02-02 19:04

Resolved in OpenFOAM-dev by commit 38b494fbc0d81aaf57d9ee18bb1ec9af6f399210

- Issue History
Date Modified Username Field Change
2013-08-26 15:42 dkxls New Issue
2013-08-26 15:43 dkxls File Added: thermophysicalProperties
2013-08-26 15:43 dkxls File Added: logPolynomialTransport.C
2013-08-26 15:44 dkxls File Added: logPolynomialTransport.H
2013-08-26 15:44 dkxls File Added: logPolynomialTransportI.H
2013-08-26 15:45 dkxls Tag Attached: thermo
2013-08-26 15:45 dkxls Tag Attached: transport
2013-08-26 16:02 dkxls Note Added: 0002442
2015-02-15 17:24 wyldckat Tag Attached: contribution
2016-02-02 19:04 henry Note Added: 0005881
2016-02-02 19:04 henry Status new => resolved
2016-02-02 19:04 henry Resolution open => fixed
2016-02-02 19:04 henry Assigned To => henry